<ion-view title="{{'HEADLINE_DASHBOARD'| translate}}">
    
    <ion-nav-buttons side="left">
        <button class="button button-icon icon ion-information-circled" ng-click="openAboutAppModal()"></button>
        <button kc-network="3000" class="button button-icon icon ion-refresh" ng-click="sync()"></button>
    </ion-nav-buttons>

    <ion-nav-buttons side="right">
        <button class="button ion-log-out" ng-click="logout()">
            {{'LABEL_BUTTON_LOGOUT'| translate}}
        </button>
    </ion-nav-buttons>
    
    <!--content start-->
    <ion-content padding="false" has-bouncing="true">

        <!--repetitive practice-->
        <section  class="padding listing" ng-cloak>
            <div class="list repetitive count-{{practices.length}}">
                <!-- <div class="item item-divider whiteHeading">Träningsuppgifter</div> -->
                <ul class="practiceSlot">
                    <li ng-show="practicesBeingLoaded">
                        <div class="practiceicon"><i class="ion-loading-c"></i></div>
                        <div class="icontext"></div>
                    </li> 
                </ul>
                <ul ng-if="practices.length===4" class="practiceSlot" ng-repeat="practiceList in practices | group:2">
                    <li ng-click="linkToPractice(practice);" data-oldui-sref="practice({type:'{{practice.type}}',id:{{practice.id}}})" ng-repeat="practice in practiceList track by practice.id " >
                        <div dynamic-backgrounds class="practiceicon" ng-style="set_icon_bg(practice)" data-style="background-image:url('{{practice.icon}}')"></div>
                        <div ng-if="isVirgin(practice);" class="notreadyet">&nbsp;</div>
                        <div class="icontext" title="{{practice.title}}">{{practice.title}}</div>
                    </li>
                </ul>
                <ul ng-if="practices.length!=4" class="practiceSlot" >
                    <li ng-click="linkToPractice(practice);" data-oldui-sref="practice({type:'{{practice.type}}',id:{{practice.id}}})" ng-repeat="practice in practices" >
                        <div dynamic-backgrounds class="practiceicon" ng-style="set_icon_bg(practice)" data-style="background-image:url('{{practice.icon}}')"></div>
                        <div ng-if="isVirgin(practice);" class="notreadyet">&nbsp;</div>
                        <div class="icontext">{{practice.title}}</div>
                    </li>
                </ul>
            </div>
        </section>
        
        <section ng-if="!!currentUser.useMeeting" ng-show="usePeriodsGraphs && !!currentUser.useMeeting"  class="padding statsbar">
            <div class="progress">
                <div class="mainbararea">
                    <div class="bars">
                        <span class="barline">&nbsp;</span>
                        <span class="barline">&nbsp;</span>
                        <span class="barline">&nbsp;</span>
                        <span class="barline">&nbsp;</span>
                        <span class="barline">&nbsp;</span>
                        <span class="barline">&nbsp;</span>
                        <span class="barline">&nbsp;</span>
                        <span class="barline">&nbsp;</span>
                        <span class="barline">&nbsp;</span>
                        <span class="barline">&nbsp;</span>
                    </div>
                    <div class="greenbar" ng-style="setMeetingGraphStyle()" style="width:0%">&nbsp;</div>
                </div>
            </div>
        </section>

        <section ng-if="!!!currentUser.useMeeting" ng-show="usePeriodsGraphs && !!!currentUser.useMeeting" class="alternativestatsbar">
            <div id="fixedgraph" class="fixedbar">
                <div class="blacktransparent">&nbsp;</div>
                <!-- back link used for graph-->
                <a ng-hide="hideScrollLeft" ng-click="graphScrollLeft();" class="tidigare">{{'LABEL_GRAPH_PREVIOUS' | translate}}</a>
                <!-- back link used for graph-->
                <div class="rightsidecontrol">

                    <ion-tabs id="graphTabs" delegate-handle="graphTabs" class="tabs-icon-top tabs-positive">
                      <!--Daily-->
                        <ion-tab title="{{'LABEL_GRAPH_DAILY' | translate}}" on-select="dailyGraphTabSelected();">
                            <div class="scrollablebar dagar">
                                <div class="statbox" ng-class="{'float-left':dailyActivitiesCount<=6}" style="">
                                    <ion-scroll on-scroll="graphScrolled()" delegate-handle="dailyGraphScroll" direction="x">
                                        <div class="statitem" ng-repeat="activity in dailyActivities">
                                            
                                            <div class="statmain">
                                                <span class="greenbox rating-{{activity.count}}" ng-style="set_daily_graph_height(activity)" style="bottom:4px;border-bottom:0;"><span class="greenvalue">{{activity.count}}</span></span>
                                                <span class="greenbox" style="height:4px;border-top:0;z-index:-11"></span>

                                            </div>
                                            <div class="statdate">{{activity.date| date:'d/M'}}</div>

                                        </div><div class="statitem" ng-repeat="activity in futureDailyActivities">
                                            <div class="statmain">
                                                <span class="greenbox rating-null" style="">
                                                </span>
                                            </div>
                                            <div class="statdate">{{activity.date| date:'d/M'}}</div>
                                        </div>

                                    </ion-scroll>
                                </div>
                            </div>
                        </ion-tab>

                        <!--Daily-->

                        <!-- Weekly -->
                        <ion-tab title="{{'LABEL_GRAPH_WEEKLY' | translate}}" on-select="weeklyGraphTabSelected();">
                            <div class="scrollablebar veckor">
                                <div class="statbox" ng-class="{'float-left':weeklyActivitiesCount<=4}" style="">
                                   <ion-scroll on-scroll="graphScrolled()"  delegate-handle="weeklyGraphScroll"  direction="x">
                                            <!-- 60*60*24*7*100 = 60480000 : number of millisecond in 1 week  -->
                                        <div class="statitem" ng-repeat="activity in weeklyActivities">
                                            <div class="statmain">
                                                <span class="greenbox rating-{{activity.count}}" ng-style="set_weekly_graph_height(activity)" style="height:{{activity.count}}%;"><span class="greenvalue">{{activity.count}}</span></span>

                                            </div>
                                            <div class="statdate">{{activity.date| date:'d/M'}} - {{(activity.date+604800000)| date:'d/M'}}</div>
                                        </div><div class="statitem" ng-repeat="activity in futureWeeklyActivities">
                                            <div class="statmain">
                                                <span class="greenbox" >
                                                <!-- <span class="greenvalue">{{activity.count}}</span> -->
                                                </span>

                                            </div>
                                            <div class="statdate">{{activity.date| date:'d/M'}} - {{(activity.date+604800000)| date:'d/M'}}</div>
                                        </div>

                                        



                                    </ion-scroll>
                                </div>

                            </div>
                        </ion-tab>
                    <!-- Weekly -->
                    </ion-tabs>

                </div>

            </div>
        </section>

        <section class="homework" ng-class="{'show-one-by-one':showHomeworkOneByOne}">
            <div ng-show="practicesBeingLoaded" class="item" style="text-align:center;"><i class="ion-loading-c"></i></div>
            <ion-list id="div-homeWorks" class="homeWorksStatus content">
                <a href="#homework/{{homework.id}}/repetitive/no" class="item item-icon-right" ng-class="{'notyet':!isHomeworkDone(homework)}" ng-repeat="homework in homeworks">
                {{homework.title}}<i class="icon ion-ios7-arrow-right encircled"></i></a>
            </ion-list>
        </section>

    </ion-content><!--content end-->

</ion-view>